# for rpm versioning issues, and convienence
%define cpanver 0.55
%define rpmver  0.5500

Name:           perl-POE-Component-JobQueue
Version:        %{rpmver}
Release:        3%{?dist}.1

Summary: Process a large number of tasks with a finite number of workers

Group:          Development/Libraries
License:        GPL+ or Artistic        
URL:            http://search.cpan.org/dist/POE-Component-JobQueue            
Source0: http://search.cpan.org/CPAN/authors/id/R/RC/RCAPUTO/POE-Component-JobQueue-%{cpanver}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(POE) >= 0.11
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
POE::Component::JobQueue manages a finite pool of worker sessions as
they handle an arbitrarily large number of tasks.  It often is used as
a form of flow control, preventing an arbitrarily large number of
worker sessions from exhausting some finite resource.


%prep
%setup -q -n POE-Component-JobQueue-%{cpanver}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
make %{?_smp_mflags}

# readme says this is a good example.  So, why not?
cp t/01_queues.t example_01_queues
chmod -x example_01_queues


%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*


%check
make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc CHANGES README example_01_queues
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.5500-3
Rebuild for new perl

* Thu Aug 31 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.5500-2
- bump for mass rebuild

* Wed Aug 09 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.5500-1
- update to cpan ver 0.55 

* Sat Jul  8 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.5402-1
- bump for fe build/release

* Fri Jul 07 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.5402-0
- Initial spec file for F-E
